Skip to main content
GET
/
v1
/
credentials
List credentials for a workspace
curl --request GET \
  --url https://api.cnap.tech/v1/credentials \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "cloud",
    "name": "<string>",
    "is_active": true,
    "created_at": 123,
    "last_used_at": 123,
    "provider": "<string>",
    "valid": true,
    "validation_error": "<string>",
    "registry_url": "<string>",
    "auth_type": "<string>",
    "account_id": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens

Query Parameters

type
enum<string>

Filter by credential type

Available options:
cloud,
registry,
cloudflare

Response

Credential list

id
string
required
type
enum<string>
required
Available options:
cloud,
registry,
cloudflare
name
string
required
is_active
boolean
required
created_at
number
required
last_used_at
number | null
required
provider
string
valid
boolean
validation_error
string | null
registry_url
string
auth_type
string
account_id
string